Retrieves an object of the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "bbf6259f-f1d7-4abf-8f66-8aef4420201b",
  "_parent_id": "763fc6d2-5e9a-4f2e-9513-3bc462d50de7",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "460d077b-6dc1-4d19-b3a8-53d09afaa947",
  "company_id": "3b401cd0-f657-42e3-a712-88a2173455b6",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "67dba212-717c-4efa-bfbe-6e01272a3a74",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "f6244002-104e-44d8-9b33-6119604004f3",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "6204d833-d20f-4f8f-8dbc-0cd2dd13e3ed",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "913d7598-9d00-4cd9-a29c-d0dea1ae40b8",
    "company_code": "sample string 5",
    "company": {
      "id": "9dea6d59-26df-40d1-9f21-c16ef2541436",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-10-15T20:43:15.2579496+00:00",
      "sales_territory_id": "9a6c72ce-db58-4e30-9b79-51d63382825d",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "03579fb9-bd32-40e7-9f17-b4a177ee056a",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "3977ba94-396d-4e56-9f79-20aa0771027c",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "0ea27399-4e62-4f6f-80db-23a4a1af2527",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "5ece31f3-0cfe-4d2c-a5f4-2d6a10d3db22",
          "db_currency_id": "fdfa9c57-4abe-46b7-91a8-17aaf59aa850",
          "db_language_id": "e09f1b65-58db-442d-8a70-736f7470109a",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-15T20:43:15.2579496+00:00"
        },
        "modified_dateutc": "2026-10-15T20:43:15.2579496+00:00"
      },
      "marketing_segment_id": "733e8cc4-6a51-4c3f-b3a1-0b9e2f221c92",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "dc5199f9-19ad-4c8a-a84f-51c9b804fdea",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "aa254eec-f05b-4995-8687-d6c8db64fe37",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "39b6bb31-c51d-424c-97b0-e1372434026c",
      "db_country_code": "sample string 28",
      "feelist_id": "757e87a6-c364-4a7d-bd54-85ad4d20adf2",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "8917c344-7cd4-44cc-82fc-0d1adc7f541b",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "96c8b834-e40d-4329-81e1-5a0452931217",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-10-15T20:43:15.2579496+00:00",
        "db_currency_id": "3f89fcfa-ef1f-4b41-bdad-b113c1a15a9a",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "0b05944b-a4fa-47b8-b40b-70df8debc0dc",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "fc126e7e-3a4a-47e6-ad14-75317c115c61",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "1a7fffb3-af40-4e37-a265-9c11a32e5798",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "e9c30ae9-6992-44ed-8349-29a72dafcada",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "22d7f727-293a-470e-8ebb-77b2db7e3fc7",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "f71962fd-6ad7-4c04-a0e3-6dabab477955",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "11f4108c-b346-4b4d-b934-022975796477",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-10-15T20:43:15.2579496+00:00"
      },
      "company_sector_id": "7c0a7987-6d89-48b2-bf9a-0cc55cb7d0fa",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "bd397a99-1a39-4147-a110-f6489c66d665",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "2a1c8c0f-2b48-4636-9f8e-40d4a793a5fa",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "0934343d-46bf-4ce6-8868-64d1858f5f81",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "e63c846d-3c64-4add-87f8-57ebe0bd582c",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-10-15T20:43:15.2579496+00:00",
      "id2": 60
    },
    "db_language_id": "bd21f031-b60c-4821-bb8b-3565a320cb42",
    "db_language_code": "sample string 7",
    "db_title_id": "3824e3a6-52b9-4faf-a03e-f4950b4d13b5",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-10-15T20:43:15.2579496+00:00",
    "create_date": "2026-10-15T20:43:15.2579496+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-10-15T20:43:15.2579496+00:00"
  },
  "modified_dateutc": "2026-10-15T20:43:15.2579496+00:00",
  "id2": 22
}